---
updatedAt: 2025-08-27T15:59:43.000Z
agentTools:
  projectIndex: https://docs.moneyhubenterprise.com/v2.5/llms.txt
---

# Create a payee

Requires **payee:create** scope.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "Swagger 2.0 docs for the authentication/authorization Moneyhub API",
    "title": "Moneyhub Identity Service",
    "version": "2.0.0"
  },
  "security": [
    {
      "Bearer": []
    }
  ],
  "paths": {
    "/payees": {
      "post": {
        "summary": "Create a payee",
        "description": "Requires **payee:create** scope.",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/PayeePost"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful Payee Response",
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/Payee"
                    },
                    "meta": {
                      "type": "object"
                    }
                  },
                  "type": "object"
                }
              }
            }
          },
          "400": {
            "description": "Unsuccessful Response - Bad request - Missing query parameters - Missing body properties",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "401": {
            "description": "Unsuccessful Response - Not authorised - Missing authorization header - Invalid access Token",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          },
          "403": {
            "description": "Unsuccessful Response - Forbidden - Invalid scopes",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            }
          }
        },
        "tags": [
          "payees"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://identity.moneyhub.co.uk"
    }
  ],
  "components": {
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "name": "Authorization",
        "in": "header"
      }
    },
    "schemas": {
      "Payee": {
        "additionalProperties": false,
        "type": "object",
        "properties": {
          "id": {
            "description": "The id of the payee",
            "example": "c390a94f-2309-4cdf-8d02-b0c5304d9f66",
            "type": "string",
            "format": "uuid"
          },
          "clientId": {
            "description": "The id of the client",
            "example": "91d62867-a8a8-4146-8a5b-d4e61227db21",
            "type": "string",
            "format": "uuid"
          },
          "sortCode": {
            "description": "The sort code of the payee",
            "example": "123456",
            "pattern": "^\\d{6}$",
            "type": "string"
          },
          "accountNumber": {
            "description": "The account number of the payee",
            "example": "12345678",
            "pattern": "^\\d{8}$",
            "type": "string"
          },
          "createdAt": {
            "description": "The date that the payee was created.",
            "example": "2018-07-10T12:00:00+00:00",
            "format": "date-time",
            "type": "string"
          },
          "modifiedAt": {
            "description": "The date that the payee was modified.",
            "example": "2018-08-10T12:00:00+00:00",
            "format": "date-time",
            "type": "string"
          },
          "active": {
            "description": "Determines if payee is active",
            "type": "boolean"
          },
          "name": {
            "description": "The name of the payee",
            "example": "Payee 1",
            "type": "string",
            "maxLength": 255
          },
          "displayName": {
            "description": "The name of the payee to display the end user",
            "example": "Payee One",
            "type": "string",
            "maxLength": 255
          },
          "externalId": {
            "description": "External ID of the payee",
            "example": "external-id",
            "maxLength": 64,
            "nullable": true,
            "type": "string"
          },
          "userId": {
            "description": "User ID of the payee",
            "example": "5349b4ddd2781d08c09890f3",
            "maxLength": 64,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "id",
          "clientId",
          "sortCode",
          "accountNumber",
          "createdAt",
          "modifiedAt",
          "active",
          "name",
          "externalId"
        ]
      },
      "PayeePost": {
        "additionalProperties": false,
        "type": "object",
        "properties": {
          "sortCode": {
            "description": "The sort code of the payee",
            "example": "123456",
            "pattern": "^\\d{6}$",
            "type": "string"
          },
          "accountNumber": {
            "description": "The account number of the payee",
            "example": "12345678",
            "pattern": "^\\d{8}$",
            "type": "string"
          },
          "name": {
            "description": "The name of the payee",
            "example": "Payee 1",
            "type": "string",
            "maxLength": 255
          },
          "displayName": {
            "description": "The name of the payee to display the end user",
            "example": "Payee One",
            "type": "string",
            "maxLength": 255
          },
          "externalId": {
            "description": "External ID of the payee",
            "example": "external-id",
            "type": "string",
            "maxLength": 64
          },
          "userId": {
            "description": "User ID of the payee",
            "example": "5349b4ddd2781d08c09890f3",
            "maxLength": 64,
            "nullable": true,
            "type": "string"
          }
        },
        "required": [
          "sortCode",
          "accountNumber",
          "name"
        ]
      },
      "Error": {
        "additionalProperties": false,
        "properties": {
          "code": {
            "description": "The error code",
            "type": "string"
          },
          "message": {
            "description": "The error message",
            "type": "string"
          },
          "correlationId": {
            "description": "Id that identifies the request and can be used to ask for more details related to the error",
            "type": "string"
          }
        },
        "required": [
          "code"
        ],
        "type": "object"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```